
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_pro_ejecutores_archivo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_pro_ejecutores_archivo]
GO
CREATE PROCEDURE [reg_pro_ejecutores_archivo]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[ejecutores_archivo] AS [ejecutores_archivo],
		[revisado] AS [revisado],
		[aprobado] AS [aprobado],
		[fecha_revision] AS [fecha_revision],
		[fecha_aprobacion] AS [fecha_aprobacion],
		[id_archivo] AS [id_archivo],
		[id_ejecutores] AS [id_ejecutores]
	FROM [pro_ejecutores_archivo]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_pro_ejecutores_archivo]')) DROP VIEW [dbo].[view_pro_ejecutores_archivo]
GO
CREATE  VIEW [view_pro_ejecutores_archivo] AS
SELECT 	[pro_ejecutores_archivo].[id] AS [id],
		[pro_ejecutores_archivo].[uid] AS [uid],
		[pro_ejecutores_archivo].[eid] AS [eid],
		[pro_ejecutores_archivo].[id_usuario_modifico] AS [id_usuario_modifico],
		[pro_ejecutores_archivo].[id_usuario_creo] AS [id_usuario_creo],
		[pro_ejecutores_archivo].[fechaModificacion] AS [fechaModificacion],
		[pro_ejecutores_archivo].[fechaCreacion] AS [fechaCreacion],
		[pro_ejecutores_archivo].[active] AS [active],
		[pro_ejecutores_archivo].[ejecutores_archivo] AS [ejecutores_archivo],
		[pro_ejecutores_archivo].[revisado] AS [revisado],
		[pro_ejecutores_archivo].[aprobado] AS [aprobado],
		[pro_ejecutores_archivo].[fecha_revision] AS [fecha_revision],
		[pro_ejecutores_archivo].[fecha_aprobacion] AS [fecha_aprobacion],
		[pro_ejecutores_archivo].[id_archivo] AS [id_archivo],
[gen_archivo].[archivo] as [gen_archivo_archivo],
[gen_archivo].[archivo_codigo] as [gen_archivo_archivo_codigo],
[gen_archivo].[tabla] as [gen_archivo_tabla],
[gen_archivo].[idObjeto] as [gen_archivo_idObjeto],
[gen_archivo].[descripcion] as [gen_archivo_descripcion],
[gen_archivo].[archivoBinario] as [gen_archivo_archivoBinario],
[gen_archivo].[esPrincipal] as [gen_archivo_esPrincipal],
[gen_archivo].[link] as [gen_archivo_link],
		[pro_ejecutores_archivo].[id_ejecutores] AS [id_ejecutores],
[pro_ejecutores].[ejecutores] as [pro_ejecutores_ejecutores],
[pro_ejecutores].[ejecutores_codigo] as [pro_ejecutores_ejecutores_codigo],
[pro_ejecutores].[costo] as [pro_ejecutores_costo],
[pro_ejecutores].[unidadTiempo] as [pro_ejecutores_unidadTiempo],
[pro_ejecutores].[id_horarioEjecutores] as [pro_ejecutores_id_horarioEjecutores],
[pro_ejecutores].[id_usuario] as [pro_ejecutores_id_usuario],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [pro_ejecutores_archivo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[pro_ejecutores_archivo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[pro_ejecutores_archivo].[id_usuario_creo]
	INNER JOIN [gen_archivo] ON [gen_archivo].id=[pro_ejecutores_archivo].[id_archivo]
	INNER JOIN [pro_ejecutores] ON [pro_ejecutores].id=[pro_ejecutores_archivo].[id_ejecutores]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [pro_ejecutores_archivo].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivosXusuario_modifico]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_ejecutores_archivo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivosXusuario_creo]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_ejecutores_archivo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivosXarchivo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivosXarchivo]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivosXarchivo]
	@p_id_archivo INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_ejecutores_archivo]
	WHERE ([id_archivo]= @p_id_archivo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivosXejecutores]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivosXejecutores]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivosXejecutores]
	@p_id_ejecutores INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_ejecutores_archivo]
	WHERE ([id_ejecutores]= @p_id_ejecutores)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivos]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_pro_ejecutores_archivo]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_pro_ejecutores_archivos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_pro_ejecutores_archivos]
GO
CREATE PROCEDURE [lis_pro_ejecutores_archivos]
	AS
BEGIN
	SELECT id AS id,
[ejecutores_archivo] AS [pro_ejecutores_archivo]
	FROM [pro_ejecutores_archivo]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_pro_ejecutores_archivo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_pro_ejecutores_archivo]
GO
CREATE PROCEDURE [upd_pro_ejecutores_archivo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_ejecutores_archivo varchar(300) = null,
		@p_revisado bit = null,
		@p_aprobado bit = null,
		@p_fecha_revision datetime = null,
		@p_fecha_aprobacion datetime = null,
		@p_id_archivo int = null,
		@p_id_ejecutores int = null
AS
BEGIN
		UPDATE [pro_ejecutores_archivo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[ejecutores_archivo] = isnull(@p_ejecutores_archivo,[ejecutores_archivo]),
			[revisado] = isnull(@p_revisado,[revisado]),
			[aprobado] = isnull(@p_aprobado,[aprobado]),
			[fecha_revision] = isnull(@p_fecha_revision,[fecha_revision]),
			[fecha_aprobacion] = isnull(@p_fecha_aprobacion,[fecha_aprobacion]),
			[id_archivo] = isnull(@p_id_archivo,[id_archivo]),
			[id_ejecutores] = isnull(@p_id_ejecutores,[id_ejecutores])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_pro_ejecutores_archivo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_pro_ejecutores_archivo]
GO
CREATE PROCEDURE [ins_pro_ejecutores_archivo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_ejecutores_archivo varchar(300),
		@p_revisado bit,
		@p_aprobado bit,
		@p_fecha_revision datetime,
		@p_fecha_aprobacion datetime,
		@p_id_archivo int,
		@p_id_ejecutores int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [pro_ejecutores_archivo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[ejecutores_archivo],
			[revisado],
			[aprobado],
			[fecha_revision],
			[fecha_aprobacion],
			[id_archivo],
			[id_ejecutores])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_ejecutores_archivo,
			@p_revisado,
			@p_aprobado,
			@p_fecha_revision,
			@p_fecha_aprobacion,
			@p_id_archivo,
			@p_id_ejecutores)
		SET @v_id = scope_identity()
UPDATE [pro_ejecutores_archivo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_pro_ejecutores_archivo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_pro_ejecutores_archivo]
GO
CREATE PROCEDURE [act_pro_ejecutores_archivo]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [pro_ejecutores_archivo]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_pro_ejecutores_archivo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_pro_ejecutores_archivo_m]
GO
CREATE PROCEDURE [reg_pro_ejecutores_archivo_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[ejecutores_archivo] AS [ejecutores_archivo],
		[revisado] AS [revisado],
		[aprobado] AS [aprobado],
		[fecha_revision] AS [fecha_revision],
		[fecha_aprobacion] AS [fecha_aprobacion],
		[id_archivo] AS [id_archivo],
		[id_ejecutores] AS [id_ejecutores]
	FROM [pro_ejecutores_archivo]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_ejecutores_archivo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_ejecutores_archivo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivosXarchivo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivosXarchivo_m]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivosXarchivo_m]
	@p_id_archivo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_ejecutores_archivo]
	WHERE ([id_archivo]= @p_id_archivo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivosXejecutores_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivosXejecutores_m]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivosXejecutores_m]
	@p_id_ejecutores INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_ejecutores_archivo]
	WHERE ([id_ejecutores]= @p_id_ejecutores)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_ejecutores_archivos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_ejecutores_archivos_m]
GO
CREATE PROCEDURE [sel_pro_ejecutores_archivos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_pro_ejecutores_archivo]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_pro_ejecutores_archivos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_pro_ejecutores_archivos_m]
GO
CREATE PROCEDURE [lis_pro_ejecutores_archivos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[ejecutores_archivo] AS [pro_ejecutores_archivo]
	FROM [pro_ejecutores_archivo]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_pro_ejecutores_archivo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_pro_ejecutores_archivo]
GO
CREATE PROCEDURE [aud_pro_ejecutores_archivo]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [pro_ejecutores_archivo].id as id_tabla,
	[pro_ejecutores_archivo].id_usuario_modifico as id_usuario_modifico,
	[pro_ejecutores_archivo].id_usuario_creo as id_usuario_creo,
	[pro_ejecutores_archivo].fechaModificacion as fechaModificacion,
	[pro_ejecutores_archivo].fechaCreacion as fechaCreacion,
	[pro_ejecutores_archivo].active as active,
	[pro_ejecutores_archivo].[ejecutores_archivo] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [pro_ejecutores_archivo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[pro_ejecutores_archivo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[pro_ejecutores_archivo].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'pro_ejecutores_archivo'
-----------------------------------15/09/2016 09:44:12 a.m.